# -*- coding: utf-8 -*-
from setuphelpers import *

    ##WakeOnLAN,ACOnly
    ##WakeOnLANDock,Enable
    ##EthernetLANOptionROM,Enable
    ##IPv4NetworkStack,Enable
    ##IPv6NetworkStack,Enable
    ##UefiPxeBootPriority,IPv4First
    ##WirelessAutoDisconnection,Disable
    ##MACAddressPassThrough,Disable
    ##USBBIOSSupport,Enable
    ##AlwaysOnUSB,Enable
    ##TrackPoint,Automatic
    ##TouchPad,Automatic
    ##FnCtrlKeySwap,Disable
    ##FnSticky,Disable
    ##FnKeyAsPrimary,Disable
    ##BootDisplayDevice,LCD
    ##SharedDisplayPriority,USBTypeC
    ##TotalGraphicsMemory,256MB
    ##BootTimeExtension,Disable
    ##SpeedStep,Enable
    ##AdaptiveThermalManagementAC,MaximizePerformance
    ##AdaptiveThermalManagementBattery,Balanced
    ##CPUPowerManagement,Automatic
    ##OnByAcAttach,Disable
    ##PasswordBeep,Disable
    ##KeyboardBeep,Enable
    ##HyperThreadingTechnology,Enable
    ##AMTControl,Enable
    ##USBKeyProvisioning,Disable
    ##WakeByThunderbolt,Enable
    ##ThunderboltSecurityLevel,UserAuthorization
    ##PreBootForThunderboltDevice,Disable
    ##LockBIOSSetting,Disable
    ##MinimumPasswordLength,Disable
    ##BIOSPasswordAtUnattendedBoot,Enable
    ##BIOSPasswordAtReboot,Disable
    ##BIOSPasswordAtBootDeviceList,Disable
    ##PasswordCountExceededError,Enable
    ##FingerprintPredesktopAuthentication,Enable
    ##FingerprintReaderPriority,External
    ##FingerprintSecurityMode,Normal
    ##FingerprintPasswordAuthentication,Enable
    ##SecurityChip,Enable
    ##TXTFeature,Disable
    ##PhysicalPresenceForTpmClear,Enable
    ##BIOSUpdateByEndUsers,Enable
    ##SecureRollBackPrevention,Enable
    ##WindowsUEFIFirmwareUpdate,Enable
    ##DataExecutionPrevention,Enable
    ##VirtualizationTechnology,Enable
    ##VTdFeature,Enable
    ##EthernetLANAccess,Enable
    ##WirelessLANAccess,Enable
    ##WirelessWANAccess,Enable
    ##BluetoothAccess,Enable
    ##USBPortAccess,Enable
    ##MemoryCardSlotAccess,Enable
    ##SmartCardSlotAccess,Enable
    ##IntegratedCameraAccess,Enable
    ##MicrophoneAccess,Enable
    ##FingerprintReaderAccess,Enable
    ##ThunderboltAccess,Enable
    ##NfcAccess,Enable
    ##BottomCoverTamperDetected,Disable
    ##InternalStorageTamper,Disable
    ##ComputraceModuleActivation,Enable
    ##SecureBoot,Disable
    ##SGXControl,SoftwareControl
    ##DeviceGuard,Disable
    ##BootMode,Quick
    ##StartupOptionKeys,Enable
    ##BootDeviceListF12Option,Enable
    ##BootOrder,USBHDD:USBCD:USBFDD:NVMe0:HDD0:PCILAN
    ##NetworkBoot,PCILAN
    ##BootOrderLock,Disable
    ##I8254ClockGating,Auto
    ##ThunderboltBIOSAssistMode,Disable
    ##LidSensor,Enable

def install():

    if params.get("install_with_luti", False):
        return "OK"
        
    error("This package is protected against accidental installations. Please test it before applying it to your whole fleet. Remove this line to enable the package.")

    run('ThinkBiosConfig.hta "config=SecurityChip,Enable"')
    print("Enabling TPM Chip")
    reboot_machine()



